Description

ToManyRelatedEntitiesComboboxSelect example

1. Open Name Popupeditor of name having a basionym
2. click the edit button of the basionym:

Basionym

Achnanthes

3. modify the specific epithet and save
4. ==> the name in the select has not changed

ToOneRelatedEntityCombobox example

1. Open Name type designation popup editor
2. click the edit button of the type name: BEFFEEIERNS

Granularia densus

3. modify the specific epithet and save
4. ==> the name in the select has not changed

TODO: once this is solved check if #7174 is fixed also! --> DONE

Related issues:
Has duplicate EDIT - bug #7174: SpecimenTypeDesignationWorkingsetEditor image... Closed

Associated revisions

Revision f9fb33d5 - 02/08/2018 06:17 PM - Andreas Kohlbecker

fix #7246 consitent implementation of LazySelect reloading of modified entity beans:

® ReloadableSelect interface for select fields which support reloading the selected value from the persitent storage
e EntitySupport interface to ship around equality problems of enitites which have modified data

Revision 7b4a20a4 - 02/09/2018 10:25 AM - Andreas Kohlbecker

ref #7246 ReloadableLazyComboBox performance improvement

History

#1 - 02/08/2018 11:27 AM - Andreas Kohlbecker
- Has duplicate bug #7174: SpecimenTypeDesignationWorkingsetEditor image reference add and edit problems added

#2 - 02/08/2018 11:28 AM - Andreas Kohlbecker

- Description updated

#3 - 02/08/2018 11:30 AM - Andreas Kohlbecker

- Description updated
https://dev.e-taxonomy.eu/redmine/issues/7174

#4 - 02/08/2018 06:17 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|f9fb33d56a2eb5446588c1a378ec99647c7a8dcf.

#5 - 02/08/2018 06:18 PM - Andreas Kohlbecker
- Description updated
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
